wxWidgets: wxPGDefaultRenderer Class Reference

| Version: 3.0.4

Public Member Functions | List of all members
wxPGDefaultRenderer Class Reference

`#include </usr/src/ports/wxWidgets3.0/wxWidgets3.0-3.0.4-1.x86_64/src/wxWidgets-3.0.4/interface/wx/propgrid/property.h>`

Inheritance diagram for wxPGDefaultRenderer:
[legend]

## Detailed Description

Default cell renderer, that can handles the common scenarios.

## Public Member Functions
virtual bool | Render (wxDC &dc, const wxRect &rect, const wxPropertyGrid *propertyGrid, wxPGProperty *property, int column, int item, int flags) const
| Returns true if rendered something in the foreground (text or bitmap. More...
virtual wxSize | GetImageSize (const wxPGProperty *property, int column, int item) const
| Returns size of the image in front of the editable area. More...
Public Member Functions inherited from wxPGCellRenderer
| wxPGCellRenderer ()
virtual | ~wxPGCellRenderer ()
virtual void | DrawCaptionSelectionRect (wxDC &dc, int x, int y, int w, int h) const
| Paints property category selection rectangle. More...
void | DrawText (wxDC &dc, const wxRect &rect, int imageWidth, const wxString &text) const
| Utility to draw vertically centered text. More...
void | DrawEditorValue (wxDC &dc, const wxRect &rect, int xOffset, const wxString &text, wxPGProperty *property, const wxPGEditor *editor) const
| Utility to draw editor's value, or vertically aligned text if editor is NULL. More...
int | PreDrawCell (wxDC &dc, const wxRect &rect, const wxPGCell &cell, int flags) const
| Utility to render cell bitmap and set text colour plus bg brush colour. More...
void | PostDrawCell (wxDC &dc, const wxPropertyGrid *propGrid, const wxPGCell &cell, int flags) const
| Utility to be called after drawing is done, to revert whatever changes PreDrawCell() did. More...

## Additional Inherited Members
Public Types inherited from wxPGCellRenderer
enum | { Selected = 0x00010000, ChoicePopup = 0x00020000, Control = 0x00040000, Disabled = 0x00080000, DontUseCellFgCol = 0x00100000, DontUseCellBgCol = 0x00200000, DontUseCellColours }

## Member Function Documentation

## ◆ GetImageSize()

virtual wxSize wxPGDefaultRenderer::GetImageSize | ( | const wxPGProperty * | property,
|  | int | column,
|  | int | item
| ) |  | const
| virtual

Returns size of the image in front of the editable area.

Remarks
  If property is NULL, then this call is for a custom value. In that case the item is index to wxPropertyGrid's custom values.

Reimplemented from wxPGCellRenderer.

## ◆ Render()

virtual bool wxPGDefaultRenderer::Render | ( | wxDC & | dc,
|  | const wxRect & | rect,
|  | const wxPropertyGrid * | propertyGrid,
|  | wxPGProperty * | property,
|  | int | column,
|  | int | item,
|  | int | flags
| ) |  | const
| virtual

Returns true if rendered something in the foreground (text or bitmap.

Implements wxPGCellRenderer.